summaryrefslogtreecommitdiffstats
path: root/audio/gnomad2
diff options
context:
space:
mode:
author Ron F. DeMoss <rfdemoss{at}gmail{dot}com>2010-05-12 23:27:52 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:27:52 +0200
commit3de45161220ad8d69963e4df7b61930bc4d7091b (patch)
tree1b91f5a7ac50f94d2c957880adcdaf4fd0b525d8 /audio/gnomad2
parent724c8478620dede68130e1a3ab6ed759d3da7d49 (diff)
downloadslackbuilds-3de45161220ad8d69963e4df7b61930bc4d7091b.tar.gz
slackbuilds-3de45161220ad8d69963e4df7b61930bc4d7091b.tar.xz
audio/gnomad2: Added to 12.2 repository
Diffstat (limited to 'audio/gnomad2')
-rw-r--r--audio/gnomad2/README2
-rw-r--r--audio/gnomad2/doinst.sh4
-rw-r--r--audio/gnomad2/gnomad2.SlackBuild63
-rw-r--r--audio/gnomad2/gnomad2.info8
-rw-r--r--audio/gnomad2/slack-desc19
5 files changed, 96 insertions, 0 deletions
diff --git a/audio/gnomad2/README b/audio/gnomad2/README
new file mode 100644
index 0000000000..8c94bec5f2
--- /dev/null
+++ b/audio/gnomad2/README
@@ -0,0 +1,2 @@
+Gnomad2 is a GTK+ music manager for the
+Creative Labs NOMAD and Zen MP3 players.
diff --git a/audio/gnomad2/doinst.sh b/audio/gnomad2/doinst.sh
new file mode 100644
index 0000000000..392c12adb9
--- /dev/null
+++ b/audio/gnomad2/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/audio/gnomad2/gnomad2.SlackBuild b/audio/gnomad2/gnomad2.SlackBuild
new file mode 100644
index 0000000000..43ab93e465
--- /dev/null
+++ b/audio/gnomad2/gnomad2.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for Gnomad2
+# Build script by Ron F. DeMoss, 2009-01-23
+
+PRGNAM=gnomad2
+VERSION=${VERSION:-2.9.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/gnomad2/gnomad2.info b/audio/gnomad2/gnomad2.info
new file mode 100644
index 0000000000..deaeb631db
--- /dev/null
+++ b/audio/gnomad2/gnomad2.info
@@ -0,0 +1,8 @@
+PRGNAM="gnomad2"
+VERSION="2.9.4"
+HOMEPAGE="http://gnomad2.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/gnomad2/gnomad2-2.9.4.tar.gz"
+MD5SUM="e47382c8cbb87b0e6630b847c464c3b2"
+MAINTAINER="Ron F. DeMoss"
+EMAIL="rfdemoss{at}gmail{dot}com"
+APPROVED="rworkman"
diff --git a/audio/gnomad2/slack-desc b/audio/gnomad2/slack-desc
new file mode 100644
index 0000000000..8c35a50c1e
--- /dev/null
+++ b/audio/gnomad2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnomad2: Gnomad2 (Music Manager for Creative Labs MP3 Players)
+gnomad2:
+gnomad2: Music and interface manager for the Creative Labs Nomad and Zen
+gnomad2: family of MP3 Players. It supports Creative Labs working devices,
+gnomad2: MTP devices, and other MTP products.
+gnomad2:
+gnomad2: Homepage: http://gnomad2.sourceforge.net/
+gnomad2:
+gnomad2:
+gnomad2:
+gnomad2: